Bug 16592 - Use Bootstrap modal for MARC and Card preview on acquisitions receipt summary page
Summary: Use Bootstrap modal for MARC and Card preview on acquisitions receipt summary...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/acqui/parcel.pl?invoice...
Keywords:
Depends on:
Blocks: 8290 16640
  Show dependency treegraph
 
Reported: 2016-05-25 16:16 UTC by Owen Leonard
Modified: 2017-12-07 22:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16592 - Use Bootstrap modal for MARC and Card preview on acquisitions receipt summary page (5.17 KB, patch)
2016-05-26 13:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16592 - Use Bootstrap modal for MARC and Card preview on acquisitions receipt summary page (5.27 KB, patch)
2016-05-31 14:51 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16592 - Use Bootstrap modal for MARC and Card preview on acquisitions receipt summary page (5.33 KB, patch)
2016-06-07 16:19 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-05-25 16:16:48 UTC
On the acquisitions receipt summary page the "MARC" and "Card" links should trigger a preview in a Bootstrap modal instead of a Greybox modal.
Comment 1 Owen Leonard 2016-05-26 13:15:52 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-05-31 14:51:55 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-07 16:14:40 UTC
Owen,
The page is reloaded when I close the modal, is it expected?
Comment 4 Jonathan Druart 2016-06-07 16:17:13 UTC
(In reply to Jonathan Druart from comment #3)
> Owen,
> The page is reloaded when I close the modal, is it expected?

Oops, forget that, it's the "close" link of the plack debug block
Comment 5 Jonathan Druart 2016-06-07 16:19:04 UTC
Created attachment 52165 [details] [review]
Bug 16592 - Use Bootstrap modal for MARC and Card preview on acquisitions receipt summary page

This patch replaces Greybox modals on the acquisitions receipt summary
page with Bootstrap modals.

To test, apply the patch and go to Acquisitions -> Invoices -> View an
invoice ->  Go to receipt page.

- In the list of pending orders, test the "MARC" and "Card" links for
  various titles. Each should trigger a Bootstrap modal with the correct
  content.
- Repeat the same tests in the list of already received orders.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Kyle M Hall 2016-06-10 18:18:11 UTC
Pushed to master for Koha 16.11, thanks Owen!
Comment 7 Frédéric Demians 2016-06-15 07:52:25 UTC
Pushed in 16.05. Will be in 16.05.01.